
Redmine - Defect #19542

[Email Notifications] Email are not sent according to user settings

2015-04-01 11:12 - nicolas felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.0.1

Description

Hi Redmine team,

I just migrated from 2.6.0 to 3.0.1 version,

and I am facing to an issue related to email notifications.

Indeed, if the following options are set in the user account panel :

notification mode is For any event of the selected projects only.

option I don't want to be notified of changes that I make myself is OFF.

Users do not receive any notifications.

If option I don't want to be notified of changes that I make myself is switched to ON, notifications finally works.

FYI, my account - for which notification works - is set differently :

notification mode is For any event of all my projects.

option I don't want to be notified of changes that I make myself is OFF.

If you need any information, or tests you want me to achieve, let me know !

Best regards,

Nicolas

History

#1 - 2015-04-28 08:40 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Read Submissions.

#2 - 2015-04-28 09:21 - nicolas felix

Environment:

  Redmine version                3.0.1.stable

  Ruby version                   2.0.0-p594 (2014-10-27) [i386-mingw32]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Filesystem                     

Redmine plugins:

  redmine_improved_searchbox     0.0.3

  redmine_theme_changer          0.2.0

  redmine_work_time              0.3.0

 email configuration :

default:

  # Outgoing emails configuration (see examples above)
  email_delivery:

       delivery_method: :async_smtp

       async_smtp_settings:       

         address: smtp.gmail.com

         port: 587

         domain: smtp.gmail.com

         authentication: :plain

         user_name: XXXXX

         password: ******

         enable_starttls_auto: true

 There isn't any error thrown into the production.log file.

#3 - 2015-04-28 11:17 - Toshi MARUYAMA

- Status changed from Needs feedback to New

I have no idea.

#4 - 2015-05-12 02:05 - Rahul Chawla

Hi , 

address: smtp.gmail.com

 a) Has notification email ever worked ?

b) Please verify that the passwords are correct.

Thank  you

#5 - 2015-05-12 08:20 - nicolas felix

Hi Rahul

Rahul Chawla wrote:

a) Has notification email ever worked ?

b) Please verify that the passwords are correct.

Thank  you

 Email notification works, as I wrote, @If option I don't want to be notified of changes that I make myself is switched to ON, notifications finally

works.@

Do you have any idea where I can check if notification is fired ? any logs to look for ? anything else ?

Thanks for you help.

#6 - 2018-11-05 11:04 - nicolas felix

- Status changed from New to Resolved

Upgraded to 3.4.0, not reproduced anymore

#7 - 2018-11-05 11:09 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Cant reproduce

Thank you for the feedback.
